**** **** **** ****
   screenFetch
    changelog
**** **** **** ****

v3.9.1
	- Fix GTK3 detection issues
	- LXQt proper detection and theme detection
	- Updated README to point to new wiki pages
	- Some miscellanious awk fixes
	- OpenBSD disk fix
	- Added EndeavourOS
	- MacOS Mojave color detection
	- Miscellanious spacing fixes

v3.9.0
	- Lots, don't even try.

v3.8.0
	- Additional Intel GPU checks
	- Gentoo release check (whether it's stable/testing/experimental)
	- Chromebrew detection for Chrome OS pkgs
	- OpenBSD fixes
	- Manjaro logo updated
	- Added Fux logo
	- Enable easily addable custom lines through customlines() function
	- Line wrapping with '-w' command line option
	- Fix issue with extra space and host variable
	- Improvements to OS X font detection
	- Fixed package count, shell detection and colors on NetBSD
	- Added pkgsrc support for OS X
	- Use new NixOS logo
	- Use new KaOS logo
	- PCLinuxOS logo added
	- pomf host removed (does not exist anymore)
	- Display the package count, resolution, GPU and OS version on Haiku
	- Display release version and package count on TinyCore Linux
	- Display exact release version on Windows 10
	- Use modern logo on Windows 10 and Windows 8
	- Support for Blackbox on Windows
	- Improve BusyBox shell detection
	- Added detection for Trinity/TWin, chromeos-wm, FLWM, howm, sway, LXQt and Deepin [DEs/WMs]
	- Added detection for Alpine, BunsenLabs, Chrome OS, Chromium OS, Devuan, Fux, GrombyangOS, KDE neon, Kogaion, Mer, Msys, Netrunner, Oracle Linux, PCLinuxOS, Qubes OS, Parrot Security, Pardus, Red Star OS, ROSA, SailfishOS, SparkyLinux, SteamOS, SUSE Linux Enterprise and SwagArch

v3.7.0
	- Show RAM in IEC units (MiB instead of MB)
	- Count Chocolatey packages in Cygwin if present

v3.6.8
	- Added classic Mac OS logo
	- Added generic Unix logo for unknown non-Linux distros
	- Added an option to display ASCII distribution logo only
	- Fixed total memory detection on OpenBSD
	- Fixed package detection in Solus and in apt/dpkg distros
	- Fixed xmonad detection
	- Added detection for Sabayon, Haiku, Logos, Chapeau, BLAG, Dragora, gNewSense, NixOS, Crux, Lunar and GNU/Hurd (generic)
	- Added detection for CDE/dtwm, Lumina and 9wm
	- Added ChromeOS logo (without distro detection)
	- Use Ubuntu-3color logo by default, remove old yellow logo
	- Added an option to supply custom ASCII art
	- Combine GTK 2/3 themes if they are the same
	- Reimplement '-d' (allows for setting what information is displayed on the command line)

v3.6.5
	- Fixed RAM usage on OS X
	- Added old FreeBSD logo
	- Added portrait mode output
	- Simplify Scientific Linux detection
	- Added '--version' command line longoption as an alternative to '-v'
	- Added Evolve OS detection
	- Added imgur to configured upload hosts
	- Fine tuned more of the upload function
v3.6.2
	- Added upload support via -u flag
	- Added pre-configured hosts for -u uploading: teknik, pomf, hmp, and mediacrush
	- Added a configurable section for an scp upload to a specified destination
	- Removed -m flag
v3.6.0
	- Added PowerPC support for OS X
	- Added support for Korora and Void Linux
	- Readme: added installation instruction for Debian

v3.5.0
	- update list of supported systems
	- Fix Parabola pkg detection.
	- Adding support for the echinus (dwm fork) WM.
	- Add 2bwm support.
	- Various Parabola GNU/Linux-libre aesthetic fixes.
	- Adding NetBSD to supported distros in --help.
	- Fix OpenBSD total RAM output.
	- Un-camelCase the *box WMs, matching the documentation for the *box WMs.
	- Added support for Windows 8.1 (Cygwin)
	- Removed resolution from screenfetch when resolution cannot be found (Win8.1 cygwin)
	- Fix detection of PowerPC G3 to be more exact instead of triggering on UltraSparcs
	- Fixing shrx's URL.
	- add manpage
	- update header license text to GPLv3
	- Red Hat Linux -> Red Hat Enterprise Linux
	- Fix Parabola in --help.
	- improved GPU detection formatting, fixed dual GPU detection formatting
	- Fixes for OS X
	- Fix Arch Linux detection for updated lsb_release
	- Fix for Debian
	- Added support for Raspbian, Antergos and KaOS
	- Fixes for Cinnamon
	- Fix for Android being detected if getprop exists. Disabling Android support until I figure out a better detection method.
	- Redirect STDERR to function to make errors prettier.
	- Commenting gsettings usage for GTK3 theme detection. Causes glib core dump in some places. Removed until I figure out why.

v3.2.2
	- Adding a 256 support for Ubuntu logo
	- gpu_info code is still present but no longer in use
	- OSX: Fix X11.app from launching, add Theme Name, GTK fix, fix for Mac's version of sed to fix cpu detection
	- Fix for LXDE detection related things.
	- Fixes for elementary OS detection.
	- Adding Jiyuu Linux detection and ASCII.
	- Fix for Funtoo detection and Funtoo-text.

v3.2.0
	- Add Support to Kali Linux.
	- Possible fix for distro detection with cases.
	- Fixes for CentOS detection.
	- Fix for bspwm.
	- Removing disk from DISPLAY.
	- Fixes for Mutter/GNOME Shell
	- Fixing spacing issues in new eOS ASCII.

v3.1.0
	- Fixing some stuff for FreeBSD GPU detection.
	- Add alternate Manjaro art. Use with -A 'Manjaro-tree'.
	- Fixed funtoo detection
	- Added Sabayon
	- Tweaked Fedora art
	- Adding Notion WM to detected window managers
	- Adding GPU detection to display and Cygwin GPU detection
	- Color centralization. All logos and labels use color aliases now (i.e. blue/light blue).
	- Fix for verbose output with error suppressing (-E).
	- Fix for *BSD detectdisk.
	- Fixing a problem with _net_wm_name
	- Fix for elementary OS detection
	- Fix for the BASH pre 4.0-ish lower-to-upper in WM detection.

v3.0.5
	- OS X GPU detection added.
	- Fix for -n.
	- FreeBSD portmaster support for pkg detection.
	- Switching to printf in various places. Part of a big printf move.
	- Removal of -e and theme exporting.
	- detectdisk added.
	- Fix for WM detection in OS X.


v3.0.0
	- Colors bugfixes/changes.
	- -l disabled FOREVER.
	- Various *BSD bugfixes.
	- Funtoo detection added.
	- -c now allows 256 colors.
	- Fix Scientific Linux detection.
	- Moving of functions for cleanup.
	- Added -d back in for now.
	- OS X bugfixes.
	- WM non-case-sensitive now.
	- ppc cpu detection fixes.


v2.9.0
	- Started work on re-adding Cygwin detection.
	- Cleaning up above.
	- Cygwin logo fixed.
	- Many Cygwin bugfixes/additions.


v2.8.4
	- GTK detection bugfixes.
	- Cygwin logo changed.
	- E17 detection added.
	- Updated --help.
	- BackTrack Linux detection added.
	- OpenBSD shell detection fix.
	- *BSD bugfixes.
	- Fixes for cpu speed detection.
	- Changed Android logo.
	- Changed CrunchBang logo.
	- Added -N to strip all colors.
	- Actually added --help. -h still works.
	- Sabayon Linux detection added.
	- GPU detection added (Very Experimental!!!)
	- Many tweaks on above.
	- Adding -E to suppress all errors (STDERR).


v2.8.1
	- *BSD shell detection fix.
	- Unity detection added.
	- Experimental Android support.
	- Various WM/DE bugfixes.
	- Closing up outstanding issues/pulls.
	- If "Not Found", continue. Do Not Display.
	- Scientific Linux detection added.
	- Manjaro logo changed.


v2.7.7
	- KWin detection fixes.
	- KDE detection fixes.
	- Manjaro Linux ASCII changed.
	- Attempts at automated truncating.
	- Organization of WM names in functions.
	- Compiz detection fixes.
	- CrunchBang Waldorf detection fix.
	- Shell version detection. Also, SHELL DETECTION.
	- Formatting fixes.
	- Basic razorqt detection.
	- Fixing RHEL detection.
	- No displaying of X-dependent info if X isn't found to be running.
	- Remove -l flag.
	- Lotsa OS X detection bugfixes.
	- FluxBox detection fix.
	- FreeBSD uptime bugfix.


v2.7.5
	- Adding Cinnamon detection.
	- Updated README for how to.
	- *BSD memory detection bugfixes.
	- Other miscellanious *BSD bugfixes.
	- Optimizations and code cleanup.
	- README changes.
	- gsettings detection fix.
	- RHEL detection fix.
	- /etc/os-release detection fix.
	- BASH optimizations.
	- Huge detectdistro overhaul.
	- More tweaks on above.
	- detectgtk optimization/cleanup/fixes.


v2.5.5
	- herbstluftwm detection.
	- Added Manjaro Linux detection.
	- NetBSD detection and fixes.
	- Cleanup and fixes for DE detection.


v2.5.3 (lots of stuff)
	- GTK3 bugfixes.
	- Fuduntu detection added.
	- OS X memory bugfixes.
	- Fragmented BSD flavors like they should be.
	- FreeBSD bugfixes.
	- Added DragonFlyBSD detection.
	- xmonad detection bugfix.
	- Fix CrunchBang detection.
	- Add Trisquel detectin.


v2.5.0
	- Mac OS X detection added.
	- Lots of tweaking on OS X detection.
	- Fixes for distro detection.
	- Change for BSD logo.
	- Script now exits with 0 status.
	- macports and homebrew detection for OS X.
	- Experimental Cygwin detection. Commented out until cleaned.


v2.4.7
	- KWin detection bugfixes.
	- Fixed non-ascii output.
	- Fix for Frugalware pkg detection.
	- Fix Gentoo detection.
	- Proper GTK3 detection for GNOME.
	- DE detection cleanup.
	- GNOME Shell detection.
	- Various code cleanups.


v2.4.5
	- Added Chakra detection.
	- GTK detection bugfixes.
	- Experimental GTK3 detection.


v2.4.4
	- SpectrWM added. Kept old ScrotWM for legacy.
	- Colors bugfixes.
	- Fixed LinuxDeepin and Parabola detection/logos.


v2.4.3
	- Woo! Colors! Define colors with -c.


v2.4.2
	- Added Viperr detection.
	- Added LinuxDeepin detection.


v2.4.1
	- Spacing fixes
	- Added ParabolaGNU detection.
	- Fixed list of supported distributions in --help.


v2.4.0
	- New SolusOS logo and fixed detection
	- Added CPU detection.
	- Added Memory detection.
	- Added Package Count detection (only working on Arch and SolusOS).


v2.3.9
	- Fixed SolusOS detection.
	- Added MATE detection, theme detection possibly not working yet. Fixed WindowMaker detection.
	- Getting a DEB out! \o/

v2.3.8
	- Adding tentative dminiwm support.
	- net-tools deprecated. Relying on /proc/sys/kernel/hostname from now on.
	- Adding tentative monsterwm support.
	- Fixing openSUSE detection

v2.3.7
	- Correctly tabulated and added Mageia distro detection and ASCII.
	- Adding tentative SolusOS detection via /etc/issue
	- Adding SolusOS logo and colors.

v2.3.6
	- Adding tentative PeppermintOS detection.
	- A couple of attempted KDE/KWin fixes.
	- Fixed /etc/os-release detection
	- Updating Frugalware detection with /etc/os-release.

v2.3.5
	- Adding tentative Frugalware detection.
	- Adding 256 color support.
	- suse and version fix
	- Fixed a couple logo spacing issues. Added spaceing insensitivity to the -D flag.
	- Added / fixed LXDE support.

v2.3.4
	- Fixed an error causing stuff to not be detected.
	- e17 support
	- Several other fixes an revertions

v2.3.2
	- Adding new Slackware ASCII art and detection.

v2.3.1
	- Fixing 'n/a' displaying of release/codename in my_distro.

v2.3.0
	- Added SuSe detection and made an ASCII logo for it.

v2.2.9
	- Attempting to fix DE detection with new GDM3

v2.2.8
	- Fixing some quotes errors and LMDE detection.

v2.2.7
	- Fixed a few space errors in Debian logo and added new LMDE logo.
	- Removing official Compiz support. That should straighten a few things out.

v2.2.4
	- Temporarily re-enabling bg support via -B flag.

v2.2.3
	- Removing showing background by default by request.
	- Correction in WM name (subtle)

v2.2.1
	- Added a couple of WMs: subtle, e16, and sawfish

v2.2.0
	- Deleted extra ASCII stuff and completely rewrote output stuff.

v2.1.7
	- Added a few changes and lsb_release support.

v2.1.5
	- Fixed multi-monitor resolution detection and modified default screenshot filename.
	- Lots of capitalization errors in WM detection were brought to my attention. Fixed.
	- Attempting to fix detection of Crunchbang Statler.

v2.1.4
	- Commented out the DISPLAY setting on commandline until its stable.

v2.1.3 (HOLY SHIT BIG CHANGES)
	- Added shitload of new features. Keep reading.
	- Added function to set script variables on commandline execution. (i.e. screenfetch-dev -o 'baseurl="http://www.example.com"')
	- Added function to set display info on commandline execution. (i.i. screenfetch-dev -d 'Host, OS, Kernel, Uptime, Theme, Icons')
	- Added function to export theme if wanted upon execution. Currently only supports the following window managers:  PekWM, OpenBox, BlackBox, FluxBox, Metacity (kind of), Xfwm4 (kind of). This is a really big addition, and quite experimental. Things that are currently sought out and exported are the following:  GTK Theme Folder, Icon Theme Folder, WM Theme Folder, Background Image, and screenshot taken by screenfetch. If you would like anything else exported with this let me know and I'll see what I can do.
	- Added function to upload screenshot taken to server you have ssh access on after info is displayed. MUST set baseurl, serveraddr, and serverdir variables for this to work. See -o flag.
	- Added new support for detecting the following window managers:  Musca, i3, Ratpoison, wmii, Wmfs, ScrotWM, and Beryl.
	- Attempted to fix XFCE detection by limiting the processes that result in XFCE to only "xfce4-desktop". Dunno if this will work or not. Email me.
	- Added function to detect hostname and user. Displayed in info output.
	- Added function to detect resolution. Displayed in info output. Untested, and possibly not working, on multiple monitor setups. Email me.
	- Added function to detect working shell. Might also add function to detect terminal type in the future.
	- Fixed bug in GNOME background output. Was outputing entire pathname. Now only outputs the filename of the image.
	- Replaced old Arch Linux logo with new updated one. Don't really like the new one, but it was popular demand. Old one is still available through -D with the 'Arch Linux	- Old' argument for those of us that are old school.

v2.0.3
	- Adding XMonad detection.

v2.0.1
	- Fixing some spelling errors and added a few minor things.
	- Experimental truncating based upon terminal width.
	- Changed default Arch Linux ASCII logo due to popular demand. Old one is still available.

v1.8.4
	- Added experimental Compiz detection (WM and theme)
	- Added experimental StumpWM detection (Just WM). Thanks to gtklocker for this part.


v1.8.3
	- Added the groundwork for background support, terminal width detection (and thus truncating upon being over this width), and a couple other things I can't remember at the moment.
	- Gonna update a couple of the ASCII arts. :D


v1.7.9
	- Added support to DETECT the following window managers: dwm, awesome, and WindowMaker
	- Added support for lighter backgrounds. If you have a lighter background, specify -l as a flag on the command-line. This will turn all white output to dark gray output.
	- screenFetch was featured in the ALM (Arch Linux Magazine)! The issue can be found and downloaded at http://www.archlinux.org/static/magazine/2010/ALM-2010-Apr.pdf


v1.7.7
	- Added FVWM support per request of goran'agar on the Arch forums.


v1.7.6.5
	- Fixed broken -s flag to take screenshot.
	- Put calling for verbose function back into other functions.


v1.7.6 (important)
	- Working distribution detection! Most of the distributions I've included have been untested as of yet. Which means I could REALLY use some testers for these distros. The ones that still need testing are as follows: SUSE, Mandriva/Mandrake, Gentoo, Fedora, Red Hat Linux, and BSD. If you would like to help test these distributions, let me know by emailing me at kittykatt@archlinux.us
	- Reworked a lot of the code to be functions instead of repeating parts. Looks a lot cleaner now.
	- This update was mainly Kingdomcome's doing. So thank him profusely.


v1.7.5 (HUGE)
	- Massive rewrite, cleaning up a huge portion of the code.
	- Made several repeating parts of the code into functions.
	- Learned getopts. Rewrote flag support with it. Flags now supported are as follows:
		~ -D 'DISTRO NAME'   Specify distribution name
		~ -c 'command'    Specify custom screenshot command.
		~ -V    Print current version of script.
		~ -v    Turn on verbose output.
		~ -s    Take screenshot.
		~ -n    Display info only and no ASCII logo.
		~ -h    Display help menu.
	- Added version number to DE reporting. Except LXDE. Because they fail.
	- Thanks to h2 for many, many, many suggestions and a lot of help. This update would most likely not have been possible without him.


v1.4.5
	- Cleaned up WM Theme detection code.


v1.4.4
	- Changed version system
	- Fixed if statement for "Not Present" or "LXDE" DE (Thanks to ArcherSeven for pointing it out)


v1.4.3 (big)
	- Complete rewrite of DE and WM detection (Once again thanks to King)
	- Implemented LXDE support (Yay!)
	- Discussed ideas for "united" DE detection


v1.4
	- Complete rewrite of the uptime field (Thanks a bunch Kingdomcome)


v1.3
	- Added some flag support (notably --version, --screen, and --help)
	- Added commented lines for --distro and --command flags (future use)
	- Fixed another color escape sequence.


v1.2
	- Fixed uptime errors when uptime > 1 day


v1.1
	- Fixed color closing in the generic tux ASCII logo (thanks Suhana)
	- Changed architecture detection to "uname -m" across the board (thanks ikey for that one)


v1.0
	- First version. Let's start! :D
